#ifndef _CONFIG_H_
#define _CONFIG_H_

#include <stdlib.h>
#include <stdint.h>
#include <stdbool.h>


#define MAX_MODBUS_POLL_SLOTS 16

#define UNASSIGNED        0
#define COILS             1
#define DISCRETE_INPUTS   2
#define HOLDING_REGISTERS 3
#define INPUT_REGISTERS   4

typedef struct modbus_poll_s {
    int typ;
    int id;
    int address;
} modbus_poll_t;

typedef struct config_s {
    uint8_t devEui[8];
    uint8_t appEui[8];
    uint8_t appKey[16];
    uint8_t nwkSKey[16];
    uint8_t appSKey[16];
    uint32_t devAddr;
    bool overTheAirActivation;
    modbus_poll_t modbus_poll_slots[MAX_MODBUS_POLL_SLOTS];
} config_t;


void configInit();



#endif /* _CONFIG_H_ */